function setup()
{
    // URLs are relative to the html folder where these are included
    // 
    // as such _header and _topics pages should specify links as if they are in the html folder
    // 
    // we currently do no use the header anymore, but may again in the future
    //includeHTML("header", "_header.html");
    includeHTML("topics", "_topics.html");
    
    setupTopicTitle();
}

function includeHTML(elementID, URL)
{
    var element = document.getElementById(elementID);
    if(!element) {
        //alert("!element " + elementID);
    } else {
        if(!window.XMLHttpRequest) {
            //alert("!XMLHttpRequest");
        } else {
            var req = new XMLHttpRequest();
            if(!req) {
                //alert("!req");
            } else {		
                try {
                    req.open("GET", URL, false);
                    req.send();
                    element.innerHTML = req.responseText;
                } catch(error) {
                    //alert("exception getting request");
                }
            }
        }
    }
}

function setupTopicTitle()
{
    var pageTitle = document.title;
    if(pageTitle  &&  pageTitle.length > 0) {
        var topicTitle = document.getElementById("title");
        if(topicTitle) {
            var titleParagraphBeginHTML = "<p class=\"title\">";
            // -27% is a 'magic number' for proper alignment (not "middle") since we scale it
            var appImageHTML = "<img style=\"vertical-align: -34%;\" src=\"../shared_images/presentation-prompter-256.png\" alt=\"Presentation Prompter icon\" width=\"38\" height=\"38\"/>";
            var titleParagraphEndHTML = "</p>";
            var resultHTML = titleParagraphBeginHTML + appImageHTML + " " + pageTitle + titleParagraphEndHTML;
            topicTitle.innerHTML = resultHTML;
        }
    }
}

/*
function loadScripts(URLs, callback)
{
    if(URLs.length > 0) {
        var URL = URLs.shift();
        var head = document.getElementsByTagName("head")[0];
        var script = document.createElement("script");
        script.type = "text/javascript";
        script.src = URL;
        script.defer = true; // no effect
        //script.onreadystatechange = loadScripts(URLs, callback);
        script.onload = loadScripts(URLs, callback);
        head.appendChild(script);
    } else {
        if(callback) {
            callback();
        }
    }
}
//loadScripts(["js/switchcontent.js", "js/switchicon.js"], setup);
*/
